## dh-ocaml 0.4.1~bpo50+1

=== Makefile ===
DOCS =						\
	policy/ocaml_packaging_policy.txt	\
	policy/ocaml_packaging_policy.html/	\
	debhelper/dh_ocaml.1			\
	$(NULL)

all: $(DOCS)

policy/%:
	$(MAKE) -C policy/ $*
debhelper/%:
	$(MAKE) -C debhelper/ $*

clean: policy/clean
clean: debhelper/clean

=== debhelper/Makefile ===
all: dh_ocaml.1
clean:
	rm -f dh_ocaml.1
dh_ocaml.1:
	pod2man dh_ocaml > $@

=== ocaml-md5sums/Makefile ===

DESTDIR = /usr/local/bin
OFLAGS = -nostdlib -I ../../stdlib -I ../../otherlibs/unix -I ../../otherlibs/str
OCAMLC = ../../boot/ocamlrun ../../ocamlc $(OFLAGS)
OCAMLOPT = ../../boot/ocamlrun ../../ocamlopt $(OFLAGS)
OCAML_LIBS = unix str
NAME = ocaml-md5sums
BYTE = $(NAME)
OPT = $(NAME).opt

all: $(BYTE)
opt: $(OPT)
install:
	if [ -x "$(OPT)" ]; then				\
		cp -a "$(OPT)" $(DESTDIR)/$(NAME);		\
	elif [ -x "$(BYTE)" ]; then				\
		cp -a "$(BYTE)" $(DESTDIR)/$(NAME);		\
	else							\
		echo "Nothing to be installed, aborting.";	\
		exit 2;						\
	fi

$(BYTE): $(NAME).ml
	$(OCAMLC) $(patsubst %,%.cma,$(OCAML_LIBS)) -o $@ $<
$(OPT): $(NAME).ml
	$(OCAMLOPT) $(patsubst %,%.cmxa,$(OCAML_LIBS)) -o $@ $<

clean:
	rm -f ocaml-md5sums ocaml-md5sums.opt *.cm[aiox] *.cmxa *.[ao]

=== debian/changelog ===
dh-ocaml (0.4.1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 20 May 2009 17:24:39 +1100

dh-ocaml (0.4.1) unstable; urgency=low

  [ Samuel Mimram ]
  * Correct typo in dh_ocaml (Closes: #514996)

  [ Stefano Zacchiroli ]
  * switch versioning scheme to major.minor.micro: we will bump minor
    only for significant changes, and micro for bugfixes (as usual)
  * package description: clarify that debian/rules helpers are both for
    CDBS and for generic debian/rules
  * ocamlinit.mk: avoid stripping leading white spaces while filling .in
    files. Rationale: that could break files for which spaces are relevant
    (e.g. debian/patches/*.in)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 22 Feb 2009 22:54:02 +0100

dh-ocaml (0.4) unstable; urgency=low

  * ocamlinit.mk: clean up ocamlinit-stamp upon ocamlinit-clean (it used
    to induce very subtle FTBFSs)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 21 Feb 2009 15:15:54 +0100

dh-ocaml (0.3) unstable; urgency=low

  [ Stephane Glondu ]
  * CDBS / Makefile snippets:
    - ocaml.mk: use ocamlinit.mk
    - ocamlvars.mk: remove OCAML_IN_FILES, defined in ocamlinit.mk

  [ Samuel Mimram ]
  * Add variable OCAML_OCAMLDOC in ocamlvars.mk to get the best ocamldoc for
    the architecture.
  * Substitute everywhere in ocamlinit.
  * Add myself to uploaders.

  [ Mehdi Dogguy ]
  * Add variable OCAML_BEST in ocamlvars.mk: 'opt' when ocamlopt is
    present and 'byte' otherwise.
  * Add myself to uploaders.

  [ Stefano Zacchiroli ]
  * Move CDBS' ocaml.mk from class/ to rules/; provide a symlink for
    backward compatibility (Closes: #514517)
  * uploading to unstable

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 21 Feb 2009 12:49:50 +0100

dh-ocaml (0.2) experimental; urgency=low

  [ Sylvain Le Gall ]
  * Add a script to test "-custom" binary

  [ Mehdi Dogguy ]
  * Add HOWTO update/publish the policy section to README.Debian

  [ Stephane Glondu ]
  * Policy:
    - remove XS- prefix in XS-Vcs-*
    - add preliminary documentation for Git packaging
  * CDBS:
    - handle lines starting with "OPT: " in *.in files
    - remove Julien from $(OCAML_TEAM)
    - move parts of CDBS to /usr/share/ocaml
  * Provide ocamlinit snippet in /usr/share/ocaml
  * Set Maintainer to d-o-m, add Stefano and me to Uploaders
  * Add DM-Upload-Allowed (with Stefano's blessing)

 -- Stephane Glondu <steph@glondu.net>  Tue, 17 Feb 2009 15:31:22 +0100

dh-ocaml (0.1) experimental; urgency=low

  * Initial release
  * Split this new package, out of other ocaml-* packages, to contain support
    stuff used to maintain OCaml-related packages in Debian (Closes: #451675)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 07 Aug 2008 00:54:00 -0300

=== debian/control ===
Source: dh-ocaml
Section: devel
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stefano Zacchiroli <zack@debian.org>,
 Stephane Glondu <steph@glondu.net>,
 Mehdi Dogguy <dogguy@pps.jussieu.fr>,
 Samuel Mimram <smimram@debian.org>
DM-Upload-Allowed: yes
Build-Depends-Indep:
 debhelper (>= 7),
 docbook-utils,
 docbook-xml,
 lynx
Standards-Version: 3.8.0
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/dh-ocaml.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/dh-ocaml.git

Package: dh-ocaml
Architecture: all
Depends: ${misc:Depends}
Recommends: ocaml-nox
Replaces:
 ocaml-base-nox (<= 3.10.2-3),
 ocaml (<= 3.10.2-3),
 ocaml-nox (<= 3.10.2-3),
 ocaml-base (<= 3.10.2-3)
Description: helper tools for maintaining OCaml-related Debian packages
 dh-ocaml is a set of tools and documents to help maintaining Debian
 packages related to the Objective Caml (OCaml) programming language.
 .
 dh-ocaml notably contains the following components:
  * Makefile helpers to write debian/rules files implementing OCaml
    packaging best-practices (both for CDBS lovers and haters)
  * the Debian OCaml Packaging Policy
  * dh_ocaml debhelper to automatically computes dependencies among
    binary OCaml packages
  * ocaml-md5sums, the tool used to maintain the system registry of
    OCaml module interface checksums

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh build
	touch build-stamp

clean:
	dh clean

install: build install-stamp
install-stamp:
	chmod +x share/ocamldoc-api-ref-config
	dh install
	touch install-stamp

binary: binary-arch binary-indep
binary-arch:
binary-indep: install
	dh binary-indep

## dh-ocaml 0.5.0

=== policy/Makefile ===
INSTALL_STUFF =				\
	ocaml_packaging_policy.html/	\
	ocaml_packaging_policy.txt	\
	$(NULL)

INSTALL_HOST = alioth.debian.org
INSTALL_DIR = /org/alioth.debian.org/chroot/home/groups/pkg-ocaml-maint/htdocs/

all: $(INSTALL_STUFF)

ocaml_packaging_policy.html/: ocaml_packaging_policy.xml *.xml
	docbook2html $< -o $@
ocaml_packaging_policy.txt: ocaml_packaging_policy.xml *.xml
	docbook2txt $<

upload: all
	scp -r $(INSTALL_STUFF) $(INSTALL_HOST):$(INSTALL_DIR)
	ssh $(INSTALL_HOST) "cd $(INSTALL_DIR) && chmod -R g+w $(INSTALL_STUFF)"

clean:
	$(RM) -rf ocaml_packaging_policy.html/ ocaml_packaging_policy.txt

=== debian/changelog ===
dh-ocaml (0.5.0) unstable; urgency=low

  [ Stephane Glondu ]
  * Use "<<" for Replaces, not "<=" (Closes: #528241)
  * Add ocaml-pkg-update-uploaders (Closes: #516764)
  * Add dom-safe-pull

  [ Mehdi Dogguy ]
  * Add variables OCAML_RUNTIME and OCAML_RUNTIME_NOX in ocamlvars.mk: which
    are, respectively, ocaml-base-nox-$(OCAML_ABI) and ocaml-base-$(OCAML_ABI)
    on non-native archs.
  * Install script tools dom-{new-git-repo,git-checkout,mrconfig} in
    /usr/bin (Closes: #516777)
  * Install dom-{apply,save}-patches in /usr/bin/ and update policy to
    explain briefly how to use them.
  * Add manpages for new tools
  * Add docbook-xsl, libxml2-utils and xsltproc to generate manpages

  [ Ralf Treinen ]
  * Add a section on setting the archive section of ocaml programs.
  * Set Section to ocaml

  [ Sylvain Le Gall ]
  * Add dom-switch-opt to test byte compilation on native arch

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Sat, 18 Jul 2009 21:21:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,21 @@
 Source: dh-ocaml
-Section: devel
+Section: ocaml
 Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
+ Mehdi Dogguy <dogguy@pps.jussieu.fr>,
+ Samuel Mimram <smimram@debian.org>,
  Stefano Zacchiroli <zack@debian.org>,
  Stephane Glondu <steph@glondu.net>,
- Mehdi Dogguy <dogguy@pps.jussieu.fr>,
- Samuel Mimram <smimram@debian.org>
+ Sylvain Le Gall <gildor@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends-Indep:
  debhelper (>= 7),
  docbook-utils,
  docbook-xml,
+ docbook-xsl,
+ xsltproc,
+ libxml2-utils,
  lynx
 Standards-Version: 3.8.0
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/dh-ocaml.git
@@ -22,10 +26,10 @@
 Depends: ${misc:Depends}
 Recommends: ocaml-nox
 Replaces:
- ocaml-base-nox (<= 3.10.2-3),
- ocaml (<= 3.10.2-3),
- ocaml-nox (<= 3.10.2-3),
- ocaml-base (<= 3.10.2-3)
+ ocaml-base-nox (<< 3.11.0~beta1-1),
+ ocaml (<< 3.11.0~beta1-1),
+ ocaml-nox (<< 3.11.0~beta1-1),
+ ocaml-base (<< 3.11.0~beta1-1)
 Description: helper tools for maintaining OCaml-related Debian packages
  dh-ocaml is a set of tools and documents to help maintaining Debian
  packages related to the Objective Caml (OCaml) programming language.
@@ -38,4 +42,3 @@
     binary OCaml packages
   * ocaml-md5sums, the tool used to maintain the system registry of
     OCaml module interface checksums
-

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 build: build-stamp
 build-stamp:
 	dh build
+	$(MAKE) -C manpages
 	touch build-stamp
 
 clean:

## dh-ocaml 0.9.3

=== Makefile ===
DOCS =						\
	policy/ocaml_packaging_policy.txt	\
	policy/ocaml_packaging_policy.html	\
	$(NULL)

all: $(DOCS)
	$(MAKE) -C debhelper/ $@
	$(MAKE) -C manpages

policy/%:
	$(MAKE) -C policy/ $*

clean: 
	$(MAKE) -C policy/ clean
	$(MAKE)	-C debhelper/ clean
	$(MAKE)	-C manpages/ clean

=== policy/Makefile ===

XMLFILES = $(wildcard *.xml)
INSTALL_STUFF =				\
	ocaml_packaging_policy.html	\
	ocaml_packaging_policy.txt	\
	$(NULL)
INSTALL_HOST = alioth.debian.org
INSTALL_DIR = /org/alioth.debian.org/chroot/home/groups/pkg-ocaml-maint/htdocs/

all: $(INSTALL_STUFF)

check: $(patsubst %.xml,%.check,$(XMLFILES))

%.check: %.xml
	xmllint --noout --nonet --xinclude --postvalid $<
	touch $@

ocaml_packaging_policy.html: ocaml_packaging_policy.xml $(XMLFILES) check 
	xsltproc --xinclude --nonet -o $@ \
	  /usr/share/xml/docbook/stylesheet/nwalsh/xhtml/docbook.xsl \
	  $<

ocaml_packaging_policy.txt: ocaml_packaging_policy.html
	lynx -nolist -dump $< > $@

upload: all
	scp -r $(INSTALL_STUFF) $(INSTALL_HOST):$(INSTALL_DIR)
	ssh $(INSTALL_HOST) "cd $(INSTALL_DIR) && chmod -R g+w $(INSTALL_STUFF)"

clean:
	-$(RM) ocaml_packaging_policy.html
	-$(RM) ocaml_packaging_policy.txt
	-$(RM) *.check

.PHONY: clean all upload clean check

=== debian/changelog ===
dh-ocaml (0.9.3) unstable; urgency=low

  * Revert fix to #500869; -u is deprecated (Closes: #554510)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Nov 2009 08:57:40 +0100

dh-ocaml (0.9.2) unstable; urgency=low

  [ Stéphane Glondu ]
  * dom-new-git-repo: fail by default when executed out of a Git
    repository and without tarball argument; don't fail if explicitly
    given "--notifications"
  * dh_ocaml: also take into account OCaml objects in non-lib packages;
    don't assume all objects are in /usr/lib
  * ocaml.mk: don't overwrite DEB_DH_GENCONTROL_ARGS and use -u instead of
    -- to pass args to dpkg-gencontrol in a safer manner (thanks to Loïc
    Minier) (Closes: #500869)

  [ Mehdi Dogguy ]
  * Use my debian address instead of the old ones, everywhere.
  * Handle relations between libXXXX-camlp4-dev and libXXXX-camlp4
    packages (Closes: #552392).
  * dh_ocamlinit: Do not generate a stamp file after cleaning
  * ocaml.mk: run dh_ocamldoc only on the current package
  * OCAML_OCAMLDOC_PACKAGES is not needed anymore. Thus, removing each
    occurence and reference to it.

  [ Samuel Mimram ]
  * dom-git-checkout: add --no-ssh option

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Nov 2009 20:35:55 +0100

dh-ocaml (0.9.1) unstable; urgency=low

  [ Stéphane Glondu ]
  * dh_ocamldoc: fix typo in regexp (Closes: #549939)
  * dh_ocaml: better error when /usr/lib doesn't exist in a relevant
    binary package
  * dom-new-git-repo:
    - cope with new scheme of example hooks with recent versions of git
    - issue a warning when nothing is pushed

  [ Mehdi Dogguy ]
  * Don't pass --nodefined-map to ocaml-lintian
  * Add a variable to be able to desactivate dh_ocaml in a cdbs
    package when needed. The variable WITH_DH_OCAML has to be set
    to 0 to desactivate dh_ocaml.
  * ocaml-md5sums: Print object file's name when failing
  * Replace class/ocaml.mk with rules/ocaml.mk in policy/appendix-cdbs.xml
    (Closes: #550378)

  [ Stefano Zacchiroli ]
  * dh_ocamldoc manpage improvements: mention how ocamlfind is detected
    and that order is relevant when shipping doc elsewhere

 -- Stéphane Glondu <glondu@debian.org>  Fri, 16 Oct 2009 00:31:24 +0200

dh-ocaml (0.9.0) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * dom-git-checkout manpage: clarify that the tool is d-o-m specific
  * dom-new-git-repo manpage: clarify what pkg-ocaml-maint is

  [ Sylvain Le Gall ]
  * Rewrite ocaml-md5sums in perl and install it (Closes: #516502)
  * dh_ocaml now computes automatically dependencies (Closes: #522831)
  * Add dh-ocaml (>= 0.9) build dependency when generating debian/control
    through CDBS
  * Add ocaml-lintian and use it in dh_ocaml to dump information for
    lintian check
  * Use xsltproc and lynx rather than docbook2x to produce policy
  * Convert policy to xinclude to be able to run xmllint and spot
    precisely error

  [ Mehdi Dogguy ]
  * Install ocaml.pm to enable: dh --with ocaml
  * Execute dh_ocaml before dh_gencontrol in the dh sequence
  * Simplify build process
  * Make the cdbs rule ocaml.mk work with the dh_ocaml scripts suite.
  * Update email addresses and remove DMUA

  [ Stéphane Glondu ]
  * Remove compatibility symlinks from /usr/share/cdbs/1/class
  * Update Standards-Version to 3.8.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 22 Sep 2009 22:42:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,19 @@
 Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Mehdi Dogguy <dogguy@pps.jussieu.fr>,
+ Mehdi Dogguy <mehdi@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Stefano Zacchiroli <zack@debian.org>,
- Stephane Glondu <steph@glondu.net>,
+ Stéphane Glondu <glondu@debian.org>,
  Sylvain Le Gall <gildor@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends-Indep:
  debhelper (>= 7),
- docbook-utils,
  docbook-xml,
  docbook-xsl,
  xsltproc,
  libxml2-utils,
  lynx
-Standards-Version: 3.8.0
+Standards-Version: 3.8.3
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/dh-ocaml.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/dh-ocaml.git

## dh-ocaml 0.9.6

=== debhelper/Makefile ===

PAGES=dh_ocaml.1 dh_ocamlinit.1 dh_ocamldoc.1 ocaml-md5sums.1 ocaml-lintian.1

all:
	for i in $(PAGES); do \
		pod2man $${i%.1} > $$i; \
	done

clean:
	rm -f $(PAGES)

=== debian/changelog ===
dh-ocaml (0.9.6) unstable; urgency=low

  [ Stéphane Glondu ]
  * debian/control:
    - add git-core to Suggests
    - bump Standards-Version to 3.9.1 (no changes)
  * tools/:
    - dom-new-git-repo: explicitly use sh when executing remote commands
      via ssh (Closes: #588371)
    - dom-git-checkout: check for existence of upstream/pristine-tar
      remote branches before creating local ones (Closes: #591555)

  [ Ralf Treinen ]
  * policy/: continue work started by Sylvain Le Gall on splitting the 
    document into policy and reference (thanks, Sylvain!):
    - current value of ocaml version no longer mentionend in policy
    - fix location of library directory (closes: #591556)
    - refactor sections, many small changes all over the document
    - streamline discussion on bytecode vs native code
    - compiling with -custom is deprecated (closes: #500286)
    - reference: add section on dh
    - findlib integration: META files always go in the directory of the
      library, debian-specific ones should have a comment.
  * Makefile: generate the reference document
  * update authors in doc-base registration for the policy
  * add doc-base registration for the reference.
  * Added myself to uploaders.

 -- Ralf Treinen <treinen@debian.org>  Mon, 06 Sep 2010 20:30:15 +0200

dh-ocaml (0.9.5) unstable; urgency=low

  * Fix detection of Dynlink support.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 07 Jul 2010 19:03:26 +0200

dh-ocaml (0.9.4) unstable; urgency=low

  [ Mehdi Dogguy ]
  * dh_ocamldoc:
    + Use word boundaries to correctly detect ocamlfind options
      instead of spaces (Closes: #555794).
    + Add some bits to the manpage about how to deal with
      several documentations.
    + Make different titles when a package ships several documentations.
    + Pass -sort to ocamldoc to sort the list of top-level modules before
      generating the documentation.
    + When "--doc-base-generate" is found in a .ocamldoc file, dh_ocamldoc
      will generate the corresponding .doc-base file only (Closes: #549930)
  * dom-git-checkout.1: Mention how to configure the username (Closes: #570363)

  [ Stéphane Glondu ]
  * debian/control:
    + remove Stefano from Uploaders
    + move debhelper to Build-Depends (needed for "clean" target)
    + add debhelper to Recommends
    + make dh-ocaml break previous versions of ocaml (Closes: #569195)
    + bump Standards-Version to 3.9.0
  * dh_ocamlinit: add support for DYN: lines
  * ocamlvars.mk: add OCAML_NATDYNLINK
  * Switch source package format to 3.0 (native)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 30 Jun 2010 01:54:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,29 +5,39 @@
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>,
  Samuel Mimram <smimram@debian.org>,
- Stefano Zacchiroli <zack@debian.org>,
  Stéphane Glondu <glondu@debian.org>,
- Sylvain Le Gall <gildor@debian.org>
+ Sylvain Le Gall <gildor@debian.org>,
+ Ralf Treinen <treinen@debian.org>
+Build-Depends:
+ debhelper (>= 7)
 Build-Depends-Indep:
- debhelper (>= 7),
- docbook-xml,
+ docbook-xml (>= 4.4),
  docbook-xsl,
  xsltproc,
  libxml2-utils,
  lynx
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/dh-ocaml.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/dh-ocaml.git
 
 Package: dh-ocaml
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: ocaml-nox
+Recommends:
+ debhelper,
+ ocaml-nox
 Replaces:
  ocaml-base-nox (<< 3.11.0~beta1-1),
  ocaml (<< 3.11.0~beta1-1),
  ocaml-nox (<< 3.11.0~beta1-1),
  ocaml-base (<< 3.11.0~beta1-1)
+Breaks:
+ ocaml-base-nox (<< 3.11.0~beta1-1),
+ ocaml (<< 3.11.0~beta1-1),
+ ocaml-nox (<< 3.11.0~beta1-1),
+ ocaml-base (<< 3.11.0~beta1-1)
+Suggests:
+ git-core
 Description: helper tools for maintaining OCaml-related Debian packages
  dh-ocaml is a set of tools and documents to help maintaining Debian
  packages related to the Objective Caml (OCaml) programming language.

## dh-ocaml 1.0.1

=== debian/changelog ===
dh-ocaml (1.0.1) unstable; urgency=low

  * Added patch to dh_ocaml:
    + Fix parsing of .onodefine files.
    + Pass --nodefined option during the computation 
      of binary package dependencies.
  * Added myself (Romain Beauxis) as uploader.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 22 Jun 2011 15:17:23 -0500

dh-ocaml (1.0.0) unstable; urgency=low

  [ Stéphane Glondu ]
  * Adaptation to OCaml 3.12:
    - bump major version to 1.0, since this version won't work with
      previous versions of OCaml
    - there is a single ocamlobjinfo tool now; remove references to old
      ocaml{dumpapprox,plugininfo,byteinfo} tools from dh_ocaml and
      ocaml-md5sums
  * Bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.2 (no changes)

  [ Ralf Treinen ]
  * Changed suggestion of git-core to git.

  [ Sylvain Le Gall ]
  * Fix --notifications option for dom-new-git-repo

 -- Stéphane Glondu <glondu@debian.org>  Sat, 16 Apr 2011 11:44:05 +0200

## dh-ocaml 1.0.2

=== debian/changelog ===
dh-ocaml (1.0.2) unstable; urgency=low

  * dom-new-git-repo: use git.debian.org for ssh host (Closes: #632246)
  * dh_ocaml: set umask to 0022 (Closes: #636906)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 07 Aug 2011 00:43:36 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,17 @@
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>,
  Sylvain Le Gall <gildor@debian.org>,
- Ralf Treinen <treinen@debian.org>
+ Ralf Treinen <treinen@debian.org>,
+ Romain Beauxis <toots@rastageeks.org>
 Build-Depends:
- debhelper (>= 7)
+ debhelper (>= 8)
 Build-Depends-Indep:
  docbook-xml (>= 4.4),
  docbook-xsl,
  xsltproc,
  libxml2-utils,
  lynx
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/dh-ocaml.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/dh-ocaml.git
 
@@ -25,19 +26,19 @@
 Depends: ${misc:Depends}
 Recommends:
  debhelper,
- ocaml-nox
+ ocaml-nox (>> 3.12)
 Replaces:
  ocaml-base-nox (<< 3.11.0~beta1-1),
  ocaml (<< 3.11.0~beta1-1),
  ocaml-nox (<< 3.11.0~beta1-1),
  ocaml-base (<< 3.11.0~beta1-1)
 Breaks:
- ocaml-base-nox (<< 3.11.0~beta1-1),
- ocaml (<< 3.11.0~beta1-1),
- ocaml-nox (<< 3.11.0~beta1-1),
- ocaml-base (<< 3.11.0~beta1-1)
+ ocaml-base-nox (<< 3.12),
+ ocaml (<< 3.12),
+ ocaml-nox (<< 3.12),
+ ocaml-base (<< 3.12)
 Suggests:
- git-core
+ git
 Description: helper tools for maintaining OCaml-related Debian packages
  dh-ocaml is a set of tools and documents to help maintaining Debian
  packages related to the Objective Caml (OCaml) programming language.

## dh-ocaml 1.0.3

=== debian/changelog ===
dh-ocaml (1.0.3) unstable; urgency=low

  [ Євгеній Мещеряков ]
  * Add new program, dh_ocamlclean, for cleaning files generated by
    dh_ocamlinit, and use it instead of dh_ocamlinit -d (closes: #651131)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Dec 2011 22:47:28 +0100

## dh-ocaml 1.0.4

=== debian/changelog ===
dh-ocaml (1.0.4) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Do not pass DH_ALWAYS_EXCLUDE to ocamldoc in dh_ocamldoc (Closes: #627427)

  [ Stéphane Glondu ]
  * ocamlvars.mk: put only the first word of `ocamlc -version` in
    OCAML_ABI, so that it can be used with svn snapshots
  * dom-safe-pull: fail when feching fails (Close: #659244)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 10 Feb 2012 04:39:45 +0100

## dh-ocaml 1.0.5

=== debian/changelog ===
dh-ocaml (1.0.5) unstable; urgency=low

  [ Ralf Treinen ]
  * Fixed typo in message string of dom-safe-pull.

  [ Stéphane Glondu ]
  * Fix computation of ABI with recent OCaml snapshots
  * Put debian/copyright in 1.0 format
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 18 Apr 2012 07:51:55 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  xsltproc,
  libxml2-utils,
  lynx
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/dh-ocaml.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/dh-ocaml.git

## dh-ocaml 1.0.7

=== debian/changelog ===
dh-ocaml (1.0.7) unstable; urgency=low

  * Follow-up fix for dom-new-git-repo /o\

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 06 Jan 2013 11:26:02 +0100

dh-ocaml (1.0.6) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Mehdi Dogguy ]
  * dom-new-git-repo: Use KGB instead of CIA for new Git repositories.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 06 Oct 2012 20:13:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  Mehdi Dogguy <mehdi@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>,
- Sylvain Le Gall <gildor@debian.org>,
  Ralf Treinen <treinen@debian.org>,
  Romain Beauxis <toots@rastageeks.org>
 Build-Depends:

## dh-ocaml 1.0.8

=== debian/changelog ===
dh-ocaml (1.0.8) unstable; urgency=medium

  [ Ralf Treinen ]
  * Packaging policy, chapter libpack: libxxx-ocaml-dev packages go into
    section ocaml, not libdevel.

  [ Stéphane Glondu ]
  * Sort generated md5sums files to ease build reproducibility
  * Update Vcs-*
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Sat, 01 Feb 2014 15:12:38 +0100

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
  xsltproc,
  libxml2-utils,
  lynx
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/dh-ocaml.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/dh-ocaml.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/dh-ocaml.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/dh-ocaml.git
 
 Package: dh-ocaml
 Architecture: all

## dh-ocaml 1.0.9

=== debian/changelog ===
dh-ocaml (1.0.9) unstable; urgency=medium

  * Add OCAMLBUILD_BEST variable in ocamlvars.mk: 'native' on native
    architectures and 'byte' otherwise.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 08 May 2014 13:27:01 +0200

## dh-ocaml 1.0.10

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 DOCS =						\
 	policy/ocaml_packaging_policy.txt	\
 	policy/ocaml_packaging_policy.html	\
+	policy/ocaml_packaging_reference.txt	\
+	policy/ocaml_packaging_reference.html	\
 	$(NULL)
 
 all: $(DOCS)

=== debhelper/Makefile ===

PAGES=dh_ocaml.1 dh_ocamlinit.1 dh_ocamlclean.1 dh_ocamldoc.1 ocaml-md5sums.1 ocaml-lintian.1

all:
	for i in $(PAGES); do \
		pod2man $${i%.1} > $$i; \
	done

clean:
	rm -f $(PAGES)

=== policy/Makefile ===

XMLFILES = $(wildcard *.xml)
INSTALL_STUFF =				\
	ocaml_packaging_policy.html	\
	ocaml_packaging_policy.txt	\
	ocaml_packaging_reference.html  \
	ocaml_packaging_reference.txt   \
	$(NULL)
INSTALL_HOST = alioth.debian.org
INSTALL_DIR = /org/alioth.debian.org/chroot/home/groups/pkg-ocaml-maint/htdocs/

all: $(INSTALL_STUFF)

check: $(patsubst %.xml,%.check,$(XMLFILES))

%.check: %.xml included.ent
	xmllint --noout --nonet --xinclude --postvalid $<
	touch $@

%.txt: %.html
	lynx -nolist -dump $< > $@

%.html: %.xml $(XMLFILES) check 
	xsltproc --xinclude --nonet -o $@ \
	  /usr/share/xml/docbook/stylesheet/nwalsh/xhtml/docbook.xsl \
	  $<

upload: all
	scp -r $(INSTALL_STUFF) $(INSTALL_HOST):$(INSTALL_DIR)
	ssh $(INSTALL_HOST) "cd $(INSTALL_DIR) && chmod -R g+w $(INSTALL_STUFF)"

clean:
	-$(RM) ocaml_packaging_policy.html
	-$(RM) ocaml_packaging_policy.txt
	-$(RM) ocaml_packaging_reference.html
	-$(RM) ocaml_packaging_reference.txt
	-$(RM) *.check

.PHONY: clean all upload clean check

=== debian/changelog ===
dh-ocaml (1.0.10) unstable; urgency=medium

  [ Riley Baird ]
  * Added option to set alioth username in dom-git-new-repo

  [ Stéphane Glondu ]
  * Use a deterministic order in generated .info files. Patch by Chris
    Lamb (Closes: #779037)
  * Policy: allow installation of *.{cmxs,cma,cmo} and META in runtime
    packages (and other minor changes) (Closes: #500036)
  * Bump debhelper compat level to 9
  * Bump Standards-Version to 3.9.6

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Aug 2015 16:44:39 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  Ralf Treinen <treinen@debian.org>,
  Romain Beauxis <toots@rastageeks.org>
 Build-Depends:
- debhelper (>= 8)
+ debhelper (>= 9)
 Build-Depends-Indep:
  docbook-xml (>= 4.4),
  docbook-xsl,
  xsltproc,
  libxml2-utils,
  lynx
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/dh-ocaml.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/dh-ocaml.git

## dh-ocaml 1.0.10-maemo1

=== policy/Makefile ===
--- 
+++ 
@@ -18,7 +18,8 @@
 	touch $@
 
 %.txt: %.html
-	lynx -nolist -dump $< > $@
+	echo "lynx is broken in the autobuilder. Hence no txt documentation." > $@
+	#lynx -nolist -dump $< > $@
 
 %.html: %.xml $(XMLFILES) check 
 	xsltproc --xinclude --nonet -o $@ \

=== debian/changelog ===
dh-ocaml (1.0.10-maemo1) fremantle; urgency=medium

  * Initial port

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Tue, 06 Oct 2015 17:41:24 +0200

=== debian/rules ===
#!/usr/bin/make -f

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

%:
	dh $@

overrride_dh_gencontrol:
	dh_gencontrol
	maemo-optify

## dh-ocaml 1.0.10-maemo2

=== debian/changelog ===
dh-ocaml (1.0.10-maemo2) fremantle; urgency=medium

  * Support debhelper7

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Tue, 15 Oct 2015 18:21:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dh-ocaml
 Section: ocaml
 Priority: extra
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Marcin Mielniczuk <marmistrz@inboxalias.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>,
  Samuel Mimram <smimram@debian.org>,
@@ -9,13 +10,13 @@
  Ralf Treinen <treinen@debian.org>,
  Romain Beauxis <toots@rastageeks.org>
 Build-Depends:
- debhelper (>= 9)
+ debhelper7
 Build-Depends-Indep:
- docbook-xml (>= 4.4),
+ docbook-xml,
  docbook-xsl,
  xsltproc,
  libxml2-utils,
- lynx
+ maemo-optify
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/dh-ocaml.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/dh-ocaml.git

## dh-ocaml 1.1.0

=== debian/changelog ===
dh-ocaml (1.1.0) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * Minor simplifications in dom-new-git-repo
  * Use gbp pq now that it exists (also, in stable)
  * Use gbp-clone to clone git repos and track relevant branches
  * Use new dispatch address for git commit notifications

  [ Ralf Treinen ]
  * dh_ocamlinit manpage: document prefixes OPT, BYTE, DYN
  * dom-new-git-repo: replace git-import-orig by gbp import-orig
    (Closes: #862777)

  [ Johannes Schauer ]
  * dh_ocamlinit: also check for ocamlopt when filtering DYN lines

  [ Stéphane Glondu ]
  * Fix incorrect usage of doit (Closes: #868470)
  * Fix reproducible build (Closes: #830282)
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.0.0
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2017 09:47:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dh-ocaml
 Section: ocaml
 Priority: extra
-Maintainer: Marcin Mielniczuk <marmistrz@inboxalias.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>,
  Samuel Mimram <smimram@debian.org>,
@@ -10,16 +9,16 @@
  Ralf Treinen <treinen@debian.org>,
  Romain Beauxis <toots@rastageeks.org>
 Build-Depends:
- debhelper7
+ debhelper (>= 10)
 Build-Depends-Indep:
- docbook-xml,
+ docbook-xml (>= 4.4),
  docbook-xsl,
  xsltproc,
  libxml2-utils,
- maemo-optify
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/dh-ocaml.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/dh-ocaml.git
+ lynx
+Standards-Version: 4.0.0
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/dh-ocaml.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/dh-ocaml.git
 
 Package: dh-ocaml
 Architecture: all

## dh-ocaml 1.1.0+nmu1

=== debian/changelog ===
dh-ocaml (1.1.0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:18:46 +0800

## dh-ocaml 1.1.1

=== debian/changelog ===
dh-ocaml (1.1.1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * ocamlvars.mk: export BUILD_PATH_PREFIX_MAP
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * Remove Samuel and Romain from Uploaders

  [ Mehdi Dogguy ]
  * dom-git-checkout: use salsa instead of alioth

  [ Ralf Treinen ]
  * Update Vcs-* fields to salsa
  * Priority optional

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jan 2020 13:26:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: dh-ocaml
 Section: ocaml
-Priority: extra
+Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>,
- Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>,
- Ralf Treinen <treinen@debian.org>,
- Romain Beauxis <toots@rastageeks.org>
+ Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper (>= 10)
+ debhelper-compat (= 12)
 Build-Depends-Indep:
  docbook-xml (>= 4.4),
  docbook-xsl,
  xsltproc,
  libxml2-utils,
  lynx
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/dh-ocaml.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/dh-ocaml.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/ocaml-team/dh-ocaml.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/dh-ocaml
 
 Package: dh-ocaml
 Architecture: all

## dh-ocaml 1.1.3

=== policy/Makefile ===
--- 
+++ 
@@ -18,8 +18,7 @@
 	touch $@
 
 %.txt: %.html
-	echo "lynx is broken in the autobuilder. Hence no txt documentation." > $@
-	#lynx -nolist -dump $< > $@
+	LC_ALL=C.UTF-8 lynx -nolist -dump $< > $@
 
 %.html: %.xml $(XMLFILES) check 
 	xsltproc --xinclude --nonet -o $@ \

=== debhelper/test/Makefile ===

ALL_PKG:=$(shell find `ocamlc -where` /usr/lib/ocsigen \
  -name "*.cma" -o -name "*.cmo" -o -name "*.cmi" -o -name "*.cmxa" -o -name "*.cmx" -o -name "*.cmxs" | \
  xargs dpkg -S | cut -f 1-1 -d: | sort -u | \
  grep -v -E "(ocaml-base-nox|camlp4-extra|ocaml-interp|ocsigen$$)")

OCAML_MD5SUMS=../../ocaml-md5sums --md5sums-dir ./

all: $(foreach ext,.md5sums .dump .provides .dep,$(addsuffix $(ext),$(ALL_PKG))) 

clean:
	-$(RM) *.md5sums
	-$(RM) *.dump
	-$(RM) *.provides
	-$(RM) *.dep

ALL_SUFFIX=.md5sums .dump .provides .dep

$(addprefix libfileutils-ocaml-dev,$(ALL_SUFFIX)): FLAGS=\
  --nodefined Unix --nodefined UnixLabels --nodefined Str
$(addprefix libvorbis-ocaml-dev,$(ALL_SUFFIX)): FLAGS=\
  --nodefined Unix --nodefined UnixLabels --nodefined Str
$(addprefix libmad-ocaml-dev,$(ALL_SUFFIX)): FLAGS=\
  --nodefined Unix --nodefined UnixLabels
$(addprefix libcothreads-ocaml-dev,$(ALL_SUFFIX)): FLAGS=\
  --nodefined Thread --nodefined ThreadUnix --nodefined Event \
  --nodefined Condition --nodefined Mutex
$(addprefix ocsigen-dev,$(ALL_SUFFIX)): RUNTIME=ocsigen

ocaml-nox.md5sums ocaml-nox.dump ocaml-nox.provides:
	version=$$(apt-cache show ocaml-nox | sed -n "s/Version: //p" | head -n1); \
	dpkg -L ocaml-nox ocaml-base-nox | grep -E '.*\.cm[iaox][as]?$$' | \
    	$(OCAML_MD5SUMS) compute \
	--package ocaml-nox --runtime ocaml-base-nox --version $$version \
	--dump-info ocaml-nox.dump --dump-provides ocaml-nox.provides \
	$(FLAGS) | sort > ocaml-nox.md5sums;
	sort -o ocaml-nox.dump ocaml-nox.dump

FILES=$(shell dpkg -L $1 | grep -E '.*\.cm[aox][as]?$$')

%.md5sums %.dump %.provides:
	version=$$(apt-cache show $* | sed -n "s/Version: //p" | head -n1); \
    	$(OCAML_MD5SUMS) compute \
	  --package $* \
	  $(if $(RUNTIME),--runtime $(RUNTIME)) \
	  --version $$version \
	  --dump-info $*.dump --dump-provides $*.provides \
	  $(FLAGS) $(call FILES,$(EXTRA_PKG) $(RUNTIME) $*) > $*.md5sums;

%.dep: %.dump $(addsuffix .md5sums,$(ALL_PKG))
	$(OCAML_MD5SUMS) dep --load-info $< | sort > $@

=== debian/changelog ===
dh-ocaml (1.1.3) unstable; urgency=medium

  * ocamlvars.mk: export OCAML_CUSTOM_USE_OUTPUT_COMPLETE_EXE
  * Remove obsolete scripts:
    - dom-apply-patches ("gbp pq import")
    - dom-save-patches ("gbp pq export")
    - dom-git-checkout ("gbp clone")
    - dom-safe-pull ("gbp pull")

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Sep 2020 09:03:30 +0200

dh-ocaml (1.1.2) unstable; urgency=medium

  * Bump debhelper compat level to 13
  * Add empty override_dh_dwz to ocamlvars.mk to prevent FTBFS

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Aug 2020 10:19:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Stéphane Glondu <glondu@debian.org>,
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
 Build-Depends-Indep:
  docbook-xml (>= 4.4),
  docbook-xsl,

## dh-ocaml 2.0

=== debhelper/test/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ALL_PKG:=$(shell find `ocamlc -where` /usr/lib/ocsigen \
   -name "*.cma" -o -name "*.cmo" -o -name "*.cmi" -o -name "*.cmxa" -o -name "*.cmx" -o -name "*.cmxs" | \
   xargs dpkg -S | cut -f 1-1 -d: | sort -u | \
-  grep -v -E "(ocaml-base-nox|camlp4-extra|ocaml-interp|ocsigen$$)")
+  grep -v -E "(ocaml-base|camlp4-extra|ocaml-interp|ocsigen$$)")
 
 OCAML_MD5SUMS=../../ocaml-md5sums --md5sums-dir ./
 
@@ -27,20 +27,20 @@
   --nodefined Condition --nodefined Mutex
 $(addprefix ocsigen-dev,$(ALL_SUFFIX)): RUNTIME=ocsigen
 
-ocaml-nox.md5sums ocaml-nox.dump ocaml-nox.provides:
-	version=$$(apt-cache show ocaml-nox | sed -n "s/Version: //p" | head -n1); \
-	dpkg -L ocaml-nox ocaml-base-nox | grep -E '.*\.cm[iaox][as]?$$' | \
-    	$(OCAML_MD5SUMS) compute \
-	--package ocaml-nox --runtime ocaml-base-nox --version $$version \
-	--dump-info ocaml-nox.dump --dump-provides ocaml-nox.provides \
-	$(FLAGS) | sort > ocaml-nox.md5sums;
-	sort -o ocaml-nox.dump ocaml-nox.dump
+ocaml.md5sums ocaml.dump ocaml.provides:
+	version=$$(apt-cache show ocaml | sed -n "s/Version: //p" | head -n1); \
+	dpkg -L ocaml ocaml-base | grep -E '.*\.cm[iaox][as]?$$' | \
+	$(OCAML_MD5SUMS) compute \
+	--package ocaml --runtime ocaml-base --version $$version \
+	--dump-info ocaml.dump --dump-provides ocaml.provides \
+	$(FLAGS) | sort > ocaml.md5sums;
+	sort -o ocaml.dump ocaml.dump
 
 FILES=$(shell dpkg -L $1 | grep -E '.*\.cm[aox][as]?$$')
 
 %.md5sums %.dump %.provides:
 	version=$$(apt-cache show $* | sed -n "s/Version: //p" | head -n1); \
-    	$(OCAML_MD5SUMS) compute \
+	$(OCAML_MD5SUMS) compute \
 	  --package $* \
 	  $(if $(RUNTIME),--runtime $(RUNTIME)) \
 	  --version $$version \

=== debian/changelog ===
dh-ocaml (2.0) unstable; urgency=medium

  * dh_ocaml:
    - Add explicit dependencies to versioned ocaml{,-base} if relevant
  * ocaml_dune.pm:
    - Pass remaining arguments to "dune build"

 -- Stéphane Glondu <glondu@debian.org>  Thu, 24 Aug 2023 08:07:11 +0200

dh-ocaml (1.3.0) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Call dune {build,runtest} with -j if applicable
  * Add possibility to specify per-pair checksum

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + dh-ocaml: Add Multi-Arch: foreign.

 -- Stéphane Glondu <glondu@debian.org>  Fri, 18 Aug 2023 17:54:57 +0200

dh-ocaml (1.2.3) unstable; urgency=medium

  * Remove Breaks/Replaces relative to old ocaml versions
  * Remove references to -nox packages
  * Remove obsolete dom-* manpages
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Aug 2023 10:52:58 +0200

dh-ocaml (1.2.2) unstable; urgency=medium

  * Remove dh_dwz override from ocamlvars.mk
  * Support multiple packages in ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Jul 2023 21:21:38 +0200

dh-ocaml (1.2.1) unstable; urgency=medium

  * ocaml_dune DH buildsystem: pass package name to dune install

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 14:30:53 +0200

dh-ocaml (1.2.0) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Add ocaml_dune DH buildsystem (Closes: #1041036)

  [ Jochen Sprickerhof ]
  * Add dh-sequence-ocaml for declarative packaging

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 10:14:41 +0200

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
 Build-Depends:
  debhelper-compat (= 13)
 Build-Depends-Indep:
- docbook-xml (>= 4.4),
+ docbook-xml,
  docbook-xsl,
  xsltproc,
  libxml2-utils,
  lynx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/dh-ocaml.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/dh-ocaml
@@ -22,21 +22,13 @@
 Package: dh-ocaml
 Architecture: all
 Depends: ${misc:Depends}
+Provides: dh-sequence-ocaml
 Recommends:
  debhelper,
- ocaml-nox (>> 3.12)
-Replaces:
- ocaml-base-nox (<< 3.11.0~beta1-1),
- ocaml (<< 3.11.0~beta1-1),
- ocaml-nox (<< 3.11.0~beta1-1),
- ocaml-base (<< 3.11.0~beta1-1)
-Breaks:
- ocaml-base-nox (<< 3.12),
- ocaml (<< 3.12),
- ocaml-nox (<< 3.12),
- ocaml-base (<< 3.12)
+ ocaml
 Suggests:
  git
+Multi-Arch: foreign
 Description: helper tools for maintaining OCaml-related Debian packages
  dh-ocaml is a set of tools and documents to help maintaining Debian
  packages related to the Objective Caml (OCaml) programming language.

## dh-ocaml 2.1

=== debian/changelog ===
dh-ocaml (2.1) unstable; urgency=medium

  * Cope with move of dynlink.cmxa in OCaml 5.2.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 07:19:34 +0200

## dh-ocaml 2.2

=== debian/changelog ===
dh-ocaml (2.2) unstable; urgency=medium

  * Add support for a different OCaml stdlib dir

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 05:07:03 +0200

## dh-ocaml 2.4

=== manpages/Makefile ===

MP := $(shell ls -1 dom-*.xml)

all: $(patsubst %.xml,%.1, $(MP))

%.1: %.xml
	-xmllint --nonet --noout --postvalid --xinclude $<
	xsltproc --output $@ --nonet --xinclude \
	  /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
	  $<
	sed -i 's/CopyrightCopyright/Copyright/' $@

clean:
	rm -f *.1

=== debian/changelog ===
dh-ocaml (2.4) unstable; urgency=medium

  * Add missing dependency on libconfig-tiny-perl (Closes: #1082764)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 26 Sep 2024 09:25:54 +0200

dh-ocaml (2.3) unstable; urgency=medium

  * Make .in suffix used by dh_ocamlinit configurable
  * Remove cdbs rules and related stuff
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 25 Sep 2024 08:22:27 +0200

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,16 @@
  xsltproc,
  libxml2-utils,
  lynx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/dh-ocaml.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/dh-ocaml
 
 Package: dh-ocaml
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ libconfig-tiny-perl,
+ ${misc:Depends}
 Provides: dh-sequence-ocaml
 Recommends:
  debhelper,

## dh-ocaml 2.5

=== debian/changelog ===
dh-ocaml (2.5) unstable; urgency=medium

  * Remove reference to CDBS from long description (Closes: #1121365)
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Fri, 28 Nov 2025 09:44:37 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,7 @@
  xsltproc,
  libxml2-utils,
  lynx
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/ocaml-team/dh-ocaml.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/dh-ocaml
 
@@ -37,7 +36,7 @@
  .
  dh-ocaml notably contains the following components:
   * Makefile helpers to write debian/rules files implementing OCaml
-    packaging best-practices (both for CDBS lovers and haters)
+    packaging best-practices
   * the Debian OCaml Packaging Policy
   * dh_ocaml debhelper to automatically computes dependencies among
     binary OCaml packages
